Loading...
Searching...
No Matches
dtls-bio.h File Reference
Core » Protocols

OpenSSL BIO agent writer. More...

`#include <openssl/opensslv.h>`
`#include <openssl/err.h>`
`#include <openssl/ssl.h>`
Include dependency graph for dtls-bio.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | JANUS_USE_OPENSSL_PRE_1_1_API (OPENSSL_VERSION_NUMBER < 0x10100000L)

## Functions

int | janus_dtls_bio_agent_init (void)
| OpenSSL BIO agent writer initialization.
BIO * | BIO_janus_dtls_agent_new (void *dtls)
| OpenSSL BIO agent writer constructor.
void | janus_dtls_bio_agent_set_mtu (int start_mtu)
| Set the MTU for the BIO agent writer.
int | janus_dtls_bio_agent_get_mtu (void)
| Return which MTU was configured for the BIO agent writer.

## Detailed Description

OpenSSL BIO agent writer.

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

OpenSSL BIO that writes packets to a libnice agent.

Protocols

## Macro Definition Documentation

## JANUS_USE_OPENSSL_PRE_1_1_API

#define JANUS_USE_OPENSSL_PRE_1_1_API (OPENSSL_VERSION_NUMBER < 0x10100000L)

## Function Documentation

## BIO_janus_dtls_agent_new()

BIO * BIO_janus_dtls_agent_new | ( | void * | dtls | ) |

OpenSSL BIO agent writer constructor.

## janus_dtls_bio_agent_get_mtu()

int janus_dtls_bio_agent_get_mtu | ( | void |  | ) |

Return which MTU was configured for the BIO agent writer.

Returns
  The MTU the stack will start from for each session

## janus_dtls_bio_agent_init()

int janus_dtls_bio_agent_init | ( | void |  | ) |

OpenSSL BIO agent writer initialization.

## janus_dtls_bio_agent_set_mtu()

void janus_dtls_bio_agent_set_mtu | ( | int | start_mtu | ) |

Set the MTU for the BIO agent writer.

Note
  The default starting MTU is 1472, in case fragmentation is needed the OpenSSL DTLS stack automatically decreases it. That said, if you know for sure the MTU in the network Janus is deployed in is smaller than that, it makes sense to configure an according value to start from

Parameters

  start_mtu | The MTU to start from (1200 by default)